LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 05-01-2010, 04:44 AM   #1
grimx
Member
 
Registered: Oct 2008
Distribution: Slackware 14 i686
Posts: 111

Rep: Reputation: 16
enemy-territory install problem


i downloaded enemy-territory from this site:
http://returntocastlewolfenstein.fil...14408#Download

when i try to run ./et-linux-2.55.x86.run
i get this:
Code:
Verifying archive integrity... All good.
Uncompressing Enemy Territory 2.55...........................................................................................................................................................................................................................................................................................................
No protocol specified
./setup.sh: line 143: 14031 Aborted                 "$setup" "$@" 2>>$NULL
The setup program seems to have failed on x86/glibc-2.1
i ran slackpkg search glibc and this is what i got:
Code:
The list below shows all packages with the selected pattern.

[  upgrade  ] - php-5.2.10-i486-2 --> php-5.2.12-i486-1_slack13.0
[ installed ] - glibc-solibs-2.9-i486-3
[ installed ] - glibc-zoneinfo-2.9-noarch-3
[ installed ] - man-pages-3.22-noarch-2
[ installed ] - gettext-tools-0.17-i486-3
[ installed ] - glib-1.2.10-i486-3
[ installed ] - glib2-2.18.4-i486-1
[ installed ] - glibc-2.9-i486-3
[ installed ] - glibc-i18n-2.9-i486-3
[ installed ] - glibc-profile-2.9-i486-3
[ installed ] - mutt-1.4.2.3-i486-1
where would if find glibc-2.1 ??
 
Old 05-01-2010, 05:00 AM   #2
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,014

Rep: Reputation: Disabled
enemy territory is a 32bit application, your profile shows you are running slackware64, so you first have to go multilib to run it.

EDIT: sorry, just tried, same problem on multilib, maybe a problem with the installer: I'm preparing you a folder to download

here it is (EDIT: removed. prepared package. look down in thread)
just uncompress in /opt, you will have an "et" folder that contains the game.
if you like, copy the /opt/et/et shell script to /usr/local/bin or elsewhere in your path, then start the game from console with
Code:
et
if you like it elsewhere than /opt/et just edit the paths in the et script.

P.S. if anyone knows of any problems hosting such a thing, please tell me, don't want to do anything "strange".

Last edited by ponce; 05-01-2010 at 08:36 AM.
 
Old 05-01-2010, 06:13 AM   #3
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,014

Rep: Reputation: Disabled
I've added also the et-sdl-sound library: sound is redirected to sdl (alsa) so there should be no need to do the
Code:
echo “et.x86 0 0 direct” > /proc/asound/card0/pcm0p/oss
thingie.

I managed to do a slackware package of it too, if you want to try it.

Last edited by ponce; 05-01-2010 at 08:36 AM. Reason: corrected package link
 
Old 05-01-2010, 07:25 AM   #4
grimx
Member
 
Registered: Oct 2008
Distribution: Slackware 14 i686
Posts: 111

Original Poster
Rep: Reputation: 16
it works, the only problem now is i can't get a list of servers.
 
Old 05-01-2010, 07:35 AM   #5
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,014

Rep: Reputation: Disabled
you can go here or here (lotta info more than the ingame list) and once you have the ip you can connect from the console when launching game, for example
Code:
et +connect 8.9.4.227:27960
(you can omit the :27960 when the listening port is that, because it's the default)

I've prepared a package containing both the 255 and 2.60b versions: the folders and the launch scripts are named et and et-2.60b, some servers will ask you to launch one of the two versions.
(I've removed the previous stuff from the web).

Last edited by ponce; 05-01-2010 at 08:37 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Enemy Territory problem. Jaddy Linux - Games 1 10-28-2005 01:57 PM
enemy territory problem speel Linux - General 2 12-12-2004 10:18 AM
enemy territory problem speel Linux - Games 1 11-27-2004 02:39 PM
New to linux... how do I install Enemy Territory ? (Game) kjp_72 Linux - Newbie 3 05-24-2004 11:48 AM
Enemy Territory Install issues FastFeet Linux - Games 2 11-30-2003 03:27 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 02:12 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration